Package org.eclipse.gef.fx.jface

# Class FXPaintUtils

java.lang.Object
org.eclipse.gef.fx.jface.FXPaintUtils

public class FXPaintUtils extends Object
Provides utilities for dealing with `Paint` representations.

## Constructor Summary

Constructors
Constructor
Description
`FXPaintUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getPaintDisplayText(Paint paint)`
Creates a human-readable string representation for the given `Paint` value.
`static ImageData`
`getPaintImageData(int width, int height, Paint paint)`
Creates a rectangular `Image` to visualize the given `Paint`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FXPaintUtils

public FXPaintUtils()

## Method Details

### getPaintImageData

public static ImageData getPaintImageData(int width, int height, Paint paint)
Creates a rectangular `Image` to visualize the given `Paint`.

Parameters:
  `width` - The width of the resulting `Image`.
  `height` - The height of the resulting `Image`.
  `paint` - The `Paint` to use for filling the `Image`.
Returns:
  The resulting (filled) `Image`.

### getPaintDisplayText

public static String getPaintDisplayText(Paint paint)
Creates a human-readable string representation for the given `Paint` value.

Parameters:
  `paint` - The `Paint` value to create a string representation for.
Returns:
  A string characterizing the given `Paint` value.